Skip to main content
DELETE
/
videos
/
{generationId}
Delete video generation
curl --request DELETE \
  --url https://mvp.tryunsora.com/api/v1/videos/{generationId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://mvp.tryunsora.com/api/v1/videos/{generationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://mvp.tryunsora.com/api/v1/videos/{generationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
Deletes one video generation owned by the authenticated user. DELETE /videos/{generationId}

Path parameter

generationId
string
required
Generation id from Create video or List video generations.

Response

{
  "success": true,
  "message": "Generation deleted successfully"
}

Example

curl -X DELETE "https://mvp.tryunsora.com/api/v1/videos/GENERATION_ID" \
  -H "Authorization: Bearer uns_live_YOUR_API_KEY"

Errors

HTTPWhen
400Missing generation id
401Invalid auth
404User or generation not found
500Server error

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Path Parameters

generationId
string
required

Generation id from POST /videos/create

Response

Deleted

success
boolean
required
message
string
required